package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.agentInfo.AgentConfig;
import com.iamberry.wechat.core.entity.agentInfo.AgentTooth;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/10/11.
 */
public interface AgentInfoMapper {

    /**
     * 查询代理商配置金额集合
     * @param config
     * @return
     */
    List<AgentConfig> listAgentConfig(AgentConfig config);

    /**
     * 查询代理商集合
     * @param agentTooth
     * @return
     */
    List<AgentTooth> listAgentTooth(AgentTooth agentTooth);

    /**
     * 批量新增代理商配置信息
     * @param list
     * @return
     */
    Integer addAgentConfigList(List<AgentConfig> list);

    /**
     * 修改代理商优惠价配置信息
     * @param config
     * @return
     */
    Integer updateAgentConfig(AgentConfig config);

    /**
     * 查询代理商
     * @param agentTooth
     * @return
     */
    AgentTooth getAgentTooth(AgentTooth agentTooth);

    /**
     * 查询代理商配置
     * @param config
     * @return
     */
    AgentConfig getAgentConfig(AgentConfig config);
}
